Bug 1760194 - file /usr/bin/runc from install of runc-2:1.0.0-119.dev.gitc1485a1.fc32.x86_64 conflicts with file from package golang-github-opencontainers-runc-1.0.0-1.rc8.fc31.1.x86_64
Summary: file /usr/bin/runc from install of runc-2:1.0.0-119.dev.gitc1485a1.fc32.x86_6...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-opencontainers-runc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-10 06:07 UTC by Igor Gnatenko
Modified: 2019-10-26 17:24 UTC (History)
10 users (show)

Fixed In Version: golang-github-opencontainers-runc-1.0.0-1.rc9.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-26 17:24:33 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2019-10-10 06:07:51 UTC
Error: Transaction test error:
  file /usr/bin/runc from install of runc-2:1.0.0-119.dev.gitc1485a1.fc32.x86_64 conflicts with file from package golang-github-opencontainers-runc-1.0.0-1.rc8.fc31.1.x86_64

Comment 1 Lokesh Mandvekar 2019-10-10 09:13:35 UTC
Any reason this golang-github- package was created when we already had a runc?

Comment 2 Igor Gnatenko 2019-10-10 10:34:02 UTC
(In reply to Lokesh Mandvekar from comment #1)
> Any reason this golang-github- package was created when we already had a
> runc?

Don\'t ask me. ASk eclipseo.

Comment 3 Robert-André Mauchin 2019-10-10 13:53:49 UTC
(In reply to Lokesh Mandvekar from comment #1)
> Any reason this golang-github- package was created when we already had a
> runc?

I did not see the runc package because it does not provide the -devel subpackage with library data needed by dependent packages. I'm removing the binary part of golang-github-opencontainers-runc.

Comment 4 Fedora Update System 2019-10-10 14:30:18 UTC
FEDORA-2019-a62a90671c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a62a90671c

Comment 5 Fedora Update System 2019-10-11 16:53:29 UTC
golang-github-opencontainers-runc-1.0.0-1.rc9.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a62a90671c

Comment 6 Fedora Update System 2019-10-26 17:24:33 UTC
golang-github-opencontainers-runc-1.0.0-1.rc9.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.